Summary:	GNU libc
Name:		glibc
Version:	2.5
Release:	2
License:	LGPL
Group:		Libraries
URL:            http://www.gnu.org/software/libc/
Source0:	http://ftp.gnu.org/gnu/glibc/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/glibc/%{name}-linuxthreads-%{version}.tar.bz2
Source2:	http://ftp.gnu.org/gnu/glibc/%{name}-libidn-%{version}.tar.bz2
Source3:	http://ftp.gnu.org/gnu/glibc/%{name}-ports-%{version}.tar.bz2
Patch0:		openat.c.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	linux-gate.so.1
%define		_sysconfdir	/etc

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to ease
upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared
libraries, the standard C library and the standard math library.
Without these, a Linux system will not function.

cvs -z 9 -d :pserver:anoncvs@sources.redhat.com:/cvs/glibc co libc
cvs -z 9 -d :pserver:anoncvs@sources.redhat.com:/cvs/glibc co ports

%package 	devel
Summary: 	GNU libc
Group:		Development

%description 	devel
Include (header) file(s) needed for compiling any source(s) for LINUX.

%prep
%setup -q -a 1 -a 2
%patch0 -p0

%build
mkdir -p alinux
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH"
cd alinux
../configure \
	    --enable-add-ons=nptl \
	    --enable-shared \
	    --enable-bind-now \
	    --disable-static \
	    --enable-kernel=2.6.17 \
	    --disable-profile \
	    --disable-omitfp \
	    --enable-nls \
	    --with-tls \
	    --with-__thread \
	    --with-included-gettext \
	    --disable-sanity-checks \
	    --prefix=/usr \
	    --sysconfdir=/etc \
	    --without-cvs
make LDFLAGS="-s -lintl" #make check

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/var/db/nscd; mkdir -p $RPM_BUILD_ROOT/var/run/nscd; cp nscd/nscd.conf $RPM_BUILD_ROOT/etc/
cat /etc/ld.so.conf >$RPM_BUILD_ROOT/etc/ld.so.conf
cd alinux
make install_root=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/libexec/pt_chown $RPM_BUILD_ROOT/usr/bin; cd $RPM_BUILD_ROOT/usr/libexec; ln -sf ../bin/pt_chown .
mv $RPM_BUILD_ROOT/etc/localtime $RPM_BUILD_ROOT/etc/localtime.%{version}
rm $RPM_BUILD_ROOT/usr/share/locale/locale.alias
cd $RPM_BUILD_ROOT/lib; cp -s ld-linux.so.2 ld.so

rm -rf $RPM_BUILD_ROOT/usr/info
chmod 755 $RPM_BUILD_ROOT/usr/lib/libc.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/ld*
/etc/ns*
/etc/rp*
/lib
/sbin/ldconfig
/usr/lib/*.so
/usr/bin/ldd
/usr/bin/lddlibc4
/usr/sbin/n*
/var

%files devel
%defattr(-,root,root)
/etc/lo*
/usr/lib/*.a
/usr/lib/*.o
/usr/lib/gconv
/usr/libexec
/usr/include
/sbin/sln
/usr/bin/c*
/usr/bin/g*
/usr/bin/i*
/usr/bin/lo*
/usr/bin/m*
/usr/bin/p*
/usr/bin/r*
/usr/bin/s*
/usr/bin/t*
/usr/bin/x*
/usr/sbin/i*
/usr/sbin/r*
/usr/sbin/z*
/usr/share
